Module javafx.graphics
Package javafx.css

# Class StyleableIntegerProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.IntegerExpression
javafx.beans.property.ReadOnlyIntegerProperty
javafx.beans.property.IntegerProperty
javafx.beans.property.IntegerPropertyBase
javafx.css.StyleableIntegerProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableIntegerValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

Direct Known Subclasses:
  `SimpleStyleableIntegerProperty`

public abstract class StyleableIntegerProperty extends IntegerPropertyBase implements StyleableProperty<Number>
This class extends `IntegerPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `IntegerProperty`, that would otherwise be implemented as a `IntegerPropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  - `IntegerPropertyBase`
  - `CssMetaData`
  - `StyleableProperty`

## Constructor Summary

Constructors
Constructor
Description
`StyleableIntegerProperty()`
The constructor of the `StyleableIntegerProperty`.
`StyleableIntegerProperty(int initialValue)`
The constructor of the `StyleableIntegerProperty`.

## Method Summary

Modifier and Type
Method
Description
`void`
`applyStyle(StyleOrigin origin, Number v)`
This method is called from CSS code to set the value of the property.
`void`
`bind(ObservableValue<? extends Number> observable)`
Create a unidirection binding for this `Property`.
`StyleOrigin`
`getStyleOrigin()`
Tells the origin of the value of the property.
`void`
`set(int v)`
Set the wrapped value.

### Methods inherited from class javafx.beans.property.IntegerPropertyBase

`addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

### Methods inherited from class javafx.beans.property.IntegerProperty

`asObject, bindBidirectional, integerProperty, setValue, unbindBidirectional`

### Methods inherited from class javafx.beans.property.ReadOnlyIntegerProperty

`readOnlyIntegerProperty`

### Methods inherited from class javafx.beans.binding.IntegerExpression

`add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, integerExpression, integerExpression, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

### Methods inherited from class javafx.beans.binding.NumberExpressionBase

`add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

`getBean, getName`

### Methods inherited from interface javafx.css.StyleableProperty

`getCssMetaData`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

## Constructor Details

### StyleableIntegerProperty

public StyleableIntegerProperty()
The constructor of the `StyleableIntegerProperty`.

### StyleableIntegerProperty

public StyleableIntegerProperty(int initialValue)
The constructor of the `StyleableIntegerProperty`.

Parameters:
  `initialValue` - the initial value of the wrapped `Object`

## Method Details

### applyStyle

public void applyStyle(StyleOrigin origin, Number v)
This method is called from CSS code to set the value of the property.

Specified by:
  `applyStyle` in interface `StyleableProperty<Number>`
Parameters:
  `origin` - the origin
  `v` - the value

### bind

public void bind(ObservableValue<? extends Number> observable)
Create a unidirection binding for this `Property`.

Note that JavaFX has all the bind calls implemented through weak listeners. This means the bound property can be garbage collected and stopped from being updated.

Specified by:
  `bind` in interface `Property<Number>`
Overrides:
  `bind` in class `IntegerPropertyBase`
Parameters:
  `observable` - The observable this `Property` should be bound to.

### set

public void set(int v)
Set the wrapped value. Unlike `WritableIntegerValue.setValue(java.lang.Number)`, this method uses primitive int.

Specified by:
  `set` in interface `WritableIntegerValue`
Overrides:
  `set` in class `IntegerPropertyBase`
Parameters:
  `v` - The new value

### getStyleOrigin

public StyleOrigin getStyleOrigin()
Tells the origin of the value of the property. This is needed to determine whether or not CSS can override the value.

Specified by:
  `getStyleOrigin` in interface `StyleableProperty<Number>`
Returns:
  the style origin